Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05283 Sound Minor N/A Sep 6, 2013, 00:27 Jun 16, 2015, 15:29
Tester Machone View Status Public Platform
Assigned To system11 Resolution Fixed OS
Status [?] Resolved Driver suna8.cpp
Version 0.149u1 Fixed in Version 0.163 Build
Summary 05283: sparkman, sparkmana: YM3812 has incorrect frequency
Description The YM3812 chip has incorrect frequency in MAME, which means the music is playing too fast. It should be set at 3mhz not 4mhz. Here is a video from the pcb:


Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems sparkman, sparkmana
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.09777
Mamesick
Senior Tester
Sep 6, 2013, 06:23
I think it's the Z80 sound CPU frequency which is too high. Looking at source, where it has been verified with a real PCB it's set at 24 MHz / 8, here it's at 24 MHz / 4......
User avatar
No.09778
Machone
Tester
Sep 6, 2013, 13:35
That's probably wrong too, but it wouldn't affect the pitch of the music. That's determined by the actual frequency of the sound chip.
User avatar
No.09782
Stiletto
Developer
Sep 7, 2013, 16:20
Hang on, did attract mode say Spark Man was both male and female? :-D
User avatar
No.09784
Machone
Tester
Sep 7, 2013, 17:58
Perhaps androgyny was big in Korea in the late 80s :) It is a bizarre attract mode...
User avatar
No.09785
Mamesick
Senior Tester
Sep 8, 2013, 13:55
YM3812 to 3 MHz and Z80 sound CPU to 3 MHz and it's practically the same......... This values are taken from Hard Head PCB which is the only verified in this driver and has a very similar hardware.
User avatar
No.11765
system11
Senior Tester
Jun 16, 2015, 15:29
https://github.com/mamedev/mame/pull/214